GNET_STATS_COPY_QUEU(9)

NAME
gnet_stats_copy_queue - copy queue statistics into statistics TLV

SYNOPSIS

int gnet_stats_copy_queue(struct gnet_dump * d, struct gnet_stats_queue __percpu * cpu_q, struct gnet_stats_queue * q, __u32 qlen);

ARGUMENTS

d
    dumping handle

cpu_q
    per cpu queue statistics

q
    queue statistics

qlen
    queue length statistics

DESCRIPTION

Appends the queue statistics to the top level TLV created by gnet_stats_start_copy. Using per cpu queue statistics if they are available.

Returns 0 on success or -1 with the statistic lock released if the room in the socket buffer was not sufficient.

COPYRIGHT